com.hazelcast.org.snakeyaml.engine.v1.resolver

## Class JsonScalarResolver

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.resolver.JsonScalarResolver

- All Implemented Interfaces:
    ScalarResolver

      public class JsonScalarResolver
      extends Object
      implements ScalarResolver

  ScalarResolver for JSON Schema The scherma is NOT the same as in YAML 1.2 but identical to JSON, 1) .inf, -.inf, .nan values are not used, 2) integers may have a leading 0
  See Also:
    Chapter 10.2. JSON Schema

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Pattern` | `BOOL`
    `static Pattern` | `EMPTY`
    `static Pattern` | `FLOAT`
    `static Pattern` | `INT`
    `static Pattern` | `MERGE`
    `static Pattern` | `NULL`
    `protected Map<Character,List<com.hazelcast.org.snakeyaml.engine.v1.resolver.ResolverTuple>>` | `yamlImplicitResolvers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonScalarResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addImplicitResolver(Tag tag, Pattern regexp, String first)`
    `protected void` | `addImplicitResolvers()`
    `Tag` | `resolve(String value, Boolean implicit)` Resolve (detect) the tag of the scalar node of the given type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BOOL

          public static final Pattern BOOL

    - #### FLOAT

          public static final Pattern FLOAT

    - #### INT

          public static final Pattern INT

    - #### MERGE

          public static final Pattern MERGE

    - #### NULL

          public static final Pattern NULL

    - #### EMPTY

          public static final Pattern EMPTY

    - #### yamlImplicitResolvers

          protected Map<Character,List<com.hazelcast.org.snakeyaml.engine.v1.resolver.ResolverTuple>> yamlImplicitResolvers

  - ### Constructor Detail

    - #### JsonScalarResolver

          public JsonScalarResolver()

  - ### Method Detail

    - #### addImplicitResolver

          public void addImplicitResolver(Tag tag,
                                          Pattern regexp,
                                          String first)

    - #### addImplicitResolvers

          protected void addImplicitResolvers()

    - #### resolve

          public Tag resolve(String value,
                             Boolean implicit)

      Description copied from interface: `ScalarResolver`
      Resolve (detect) the tag of the scalar node of the given type.
      Specified by:
        `resolve` in interface `ScalarResolver`
      Parameters:
        `value` - - the value of the scalar node
        `implicit` - - true if there was no tag specified (the tag will be resolved)
      Returns:
        the Tag that matches the contents

Copyright © 2019. All rights reserved.